import { AbstractTableToolsTemplateComponent } from '../../abstract-table-tools-template.component';
import { ITableToolsExportType, TableToolsConfigService } from '../../table-tools-config.service';
import { TableToolsDirective } from '../../table-tools.directive';
import * as i0 from "@angular/core";
export declare class TtExportComponent extends AbstractTableToolsTemplateComponent {
    protected config: TableToolsConfigService;
    protected tableToolsDirective: TableToolsDirective;
    protected document: Document;
    id: number;
    modal: boolean;
    columns: {
        txt: string;
        idx: number;
        checked: boolean;
    }[];
    exportConfig: {
        fileName: string;
        columnNames: boolean;
        separator: string;
    };
    separators: {
        lang: string;
        separator: string;
    }[];
    exporting: string | boolean;
    exportTypes: TableToolsConfigService['exportTypes'];
    constructor(config: TableToolsConfigService, tableToolsDirective: TableToolsDirective, document: Document);
    showExport(): void;
    flipSelection(): void;
    doExport(type: string, config: ITableToolsExportType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TtExportComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TtExportComponent, "tt-export", never, {}, {}, never, never>;
}
