(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs'), require('@angular/common'), require('@angular/forms'), require('angular-bootstrap4'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('angular-bootstrap4-table-tools', ['exports', '@angular/core', 'rxjs', '@angular/common', '@angular/forms', 'angular-bootstrap4', 'rxjs/operators'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["angular-bootstrap4-table-tools"] = {}, global.ng.core, global.rxjs, global.ng.common, global.ng.forms, global.i3, global.rxjs.operators));
})(this, (function (exports, i0, rxjs, i1, i1$1, i3, operators) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace$1 = /*#__PURE__*/_interopNamespace(i1);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1$1);
    var i3__namespace = /*#__PURE__*/_interopNamespace(i3);

    /******************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        var desc = Object.getOwnPropertyDescriptor(m, k);
        if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
            desc = { enumerable: true, get: function () { return m[k]; } };
        }
        Object.defineProperty(o, k2, desc);
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || Array.prototype.slice.call(from));
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }
    function __classPrivateFieldIn(state, receiver) {
        if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function"))
            throw new TypeError("Cannot use 'in' operator on non-object");
        return typeof state === "function" ? receiver === state : state.has(receiver);
    }

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TableToolsConfigService = /** @class */ (function () {
        function TableToolsConfigService(document) {
            var _this = this;
            this.document = document;
            this.perPage = 25;
            this.perPageOptions = [
                { number: 10, text: '10' },
                { number: 25, text: '25' },
                { number: 50, text: '50' },
                { number: 100, text: '100' },
                { number: 200, text: '200' },
                { number: Infinity, text: 'Wszystkie' }
            ];
            this.lang = {
                first: 'Pierwsza strona',
                prev: 'Poprzednia strona',
                next: 'Następna strona',
                last: 'Ostatnia strona',
                results: 'Wyniki:',
                from: 'z',
                perPage: 'Wyników na stronę:',
                search: 'Szukaj...',
                filteredResults: 'Filtrowanie z:',
                export: 'Export',
                exportChooseColumns: 'Wybierz kolumny',
                flipSelection: 'odwróć zaznaczenie',
                exportColumnNames: 'Eksportuj nazwy kolumn',
                exportSeparator: 'Separator',
                tabulator: 'Tabulator',
                copy: 'Kopiuj',
                csv: 'CSV',
                copiedToClipboard: 'Skopiowano do schowka',
                noResults: 'Nie znaleziono żadnych wyników!'
            };
            this.scroll = true;
            this.scrollOffset = 0;
            this.exportTypes = {
                copy: {
                    lang: this.lang.copy,
                    callback: function (data, config) {
                        return new rxjs.Observable(function (subscriber) {
                            var copyCallback = function (e) {
                                // @ts-expect-error: window.clipboardData is available only in IE
                                var clipboard = e.clipboardData || _this.document.defaultView.clipboardData;
                                clipboard.setData('text', data
                                    .map(function (row) { return row.join(config.separator); })
                                    .join('\n'));
                                e.preventDefault();
                                subscriber.next();
                                subscriber.complete();
                            };
                            _this.document.addEventListener('copy', copyCallback);
                            _this.document.execCommand('copy');
                            _this.document.removeEventListener('copy', copyCallback);
                        });
                    }
                },
                csv: {
                    lang: this.lang.csv,
                    parseText: function (txt) {
                        return '"' + txt.replace('"', '""') + '"';
                    },
                    callback: function (data, config) {
                        return new rxjs.Observable(function (subscriber) {
                            var a = _this.document.createElement('a'), item = '\ufeff' + data.join('\n'), blob = new Blob([item], { type: 'text/csv;utf-8' }), url = URL.createObjectURL(blob);
                            a.setAttribute('style', 'display: none');
                            a.href = url;
                            a.download = config.fileName + '.csv';
                            _this.document.body.appendChild(a);
                            a.click();
                            a.remove();
                            subscriber.next();
                            subscriber.complete();
                        });
                    }
                }
            };
        }
        TableToolsConfigService.prototype.exportNotification = function (type) {
            if (type === 'copy') {
                // eslint-disable-next-line no-alert
                alert(this.lang.copiedToClipboard);
            }
        };
        return TableToolsConfigService;
    }());
    TableToolsConfigService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsConfigService, deps: [{ token: i1.DOCUMENT }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    TableToolsConfigService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsConfigService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsConfigService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }], ctorParameters: function () {
            return [{ type: Document, decorators: [{
                            type: i0.Inject,
                            args: [i1.DOCUMENT]
                        }] }];
        } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtSelectComponent = /** @class */ (function () {
        function TtSelectComponent(tableToolsDirective) {
            this.tableToolsDirective = tableToolsDirective;
            this.formControl = new i1$1.FormControl();
        }
        TtSelectComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.formControl.valueChanges.subscribe(function (selected) {
                if (selected) {
                    _this.tableToolsDirective.tableTools.selected.select(_this.item);
                }
                else {
                    _this.tableToolsDirective.tableTools.selected.deselect(_this.item);
                }
            });
            this.tableToolsDirective.tableTools.selected.selectedChanges.subscribe(function (selected) {
                var isSelected = selected.includes(_this.item);
                if (isSelected !== _this.formControl.value) {
                    _this.formControl.setValue(selected.includes(_this.item), { emitEvent: false });
                }
            });
        };
        return TtSelectComponent;
    }());
    TtSelectComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectComponent, deps: [{ token: TableToolsDirective, host: true }], target: i0__namespace.ɵɵFactoryTarget.Component });
    TtSelectComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtSelectComponent, selector: "tt-select", inputs: { item: "item" }, ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n<input type=\"checkbox\" [formControl]=\"formControl\"/>\n", directives: [{ type: i1__namespace.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: i1__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1__namespace.FormControlDirective, selector: "[formControl]", inputs: ["disabled", "formControl", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-select',
                        templateUrl: './tt-select.component.html'
                    }]
            }], ctorParameters: function () {
            return [{ type: TableToolsDirective, decorators: [{
                            type: i0.Host
                        }] }];
        }, propDecorators: { item: [{
                    type: i0.Input
                }] } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TableToolsDirective = /** @class */ (function () {
        function TableToolsDirective(elementRef, viewContainerRef) {
            this.elementRef = elementRef;
            this.viewContainerRef = viewContainerRef;
        }
        TableToolsDirective.prototype.ngOnInit = function () {
            if (this.elementRef.nativeElement.nodeType === Node.COMMENT_NODE) {
                this.tableTools.elementRef = new i0.ElementRef(this.viewContainerRef.element.nativeElement.previousElementSibling);
            }
            else {
                this.tableTools.elementRef = this.elementRef;
            }
        };
        return TableToolsDirective;
    }());
    TableToolsDirective.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsDirective, deps: [{ token: i0__namespace.ElementRef }, { token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    TableToolsDirective.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.0.5", type: TableToolsDirective, selector: "[tableTools]", inputs: { tableTools: "tableTools" }, queries: [{ propertyName: "ttSelects", predicate: TtSelectComponent, descendants: true }], ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsDirective, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[tableTools]',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.ElementRef }, { type: i0__namespace.ViewContainerRef }]; }, propDecorators: { tableTools: [{
                    type: i0.Input
                }], ttSelects: [{
                    type: i0.ContentChildren,
                    args: [TtSelectComponent, { descendants: true }]
                }] } });

    // eslint-disable-next-line @angular-eslint/use-component-selector
    var AbstractTableToolsTemplateComponent = /** @class */ (function () {
        function AbstractTableToolsTemplateComponent(config, tableToolsDirective) {
            this.tableToolsDirective = tableToolsDirective;
            this.lang = config.lang;
        }
        AbstractTableToolsTemplateComponent.prototype.ngOnInit = function () {
            this.tableTools = this.tableToolsDirective.tableTools;
        };
        return AbstractTableToolsTemplateComponent;
    }());
    AbstractTableToolsTemplateComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: AbstractTableToolsTemplateComponent, deps: [{ token: TableToolsConfigService }, { token: TableToolsDirective }], target: i0__namespace.ɵɵFactoryTarget.Component });
    AbstractTableToolsTemplateComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: AbstractTableToolsTemplateComponent, selector: "ng-component", ngImport: i0__namespace, template: '', isInline: true });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: AbstractTableToolsTemplateComponent, decorators: [{
                type: i0.Component,
                args: [{
                        template: ''
                    }]
            }], ctorParameters: function () { return [{ type: TableToolsConfigService }, { type: TableToolsDirective }]; } });

    var id = 0;
    var TtExportComponent = /** @class */ (function (_super) {
        __extends(TtExportComponent, _super);
        function TtExportComponent(config, tableToolsDirective, document) {
            var _this = _super.call(this, config, tableToolsDirective) || this;
            _this.config = config;
            _this.tableToolsDirective = tableToolsDirective;
            _this.document = document;
            _this.id = ++id;
            _this.modal = false;
            _this.columns = [];
            _this.exportConfig = {
                separator: ',',
                fileName: '',
                columnNames: true
            };
            _this.separators = [];
            _this.exporting = false;
            _this.separators = [
                { lang: ',', separator: ',' },
                { lang: ';', separator: ';' },
                { lang: _this.lang.tabulator, separator: '\t' }
            ];
            _this.exportTypes = config.exportTypes;
            return _this;
        }
        TtExportComponent.prototype.showExport = function () {
            var _this = this;
            var headers = this.tableToolsDirective.elementRef.nativeElement
                .querySelectorAll('table > thead > tr:last-child > th');
            this.columns = [];
            headers.forEach(function (h, idx) {
                var _a;
                if (!h.classList.contains('ignore-export')) {
                    _this.columns.push({
                        txt: ((_a = h.textContent) === null || _a === void 0 ? void 0 : _a.trim()) || '',
                        idx: idx,
                        checked: true
                    });
                }
            });
            this.exportConfig.fileName = this.document.title;
            this.modal = true;
        };
        TtExportComponent.prototype.flipSelection = function () {
            this.columns.forEach(function (column) {
                column.checked = !column.checked;
            });
        };
        TtExportComponent.prototype.doExport = function (type, config) {
            var _this = this;
            this.exporting = type;
            var indexes = [], data = [], parseText = function (text) {
                if (typeof config.parseText === 'function') {
                    text = config.parseText(text);
                }
                return text;
            }, appendRow = function () {
                if (row.length) {
                    data.push(row);
                    row = [];
                }
            };
            var row = [];
            // get columns to export
            this.columns.forEach(function (column) {
                if (column.checked) {
                    indexes.push(column.idx);
                    if (_this.exportConfig.columnNames) {
                        row.push(parseText(column.txt));
                    }
                }
            });
            appendRow();
            // grab data
            var columns = this.tableToolsDirective.elementRef.nativeElement
                .querySelectorAll('table > tbody > tr:not(.ignore-export) > td');
            var rowId = -1;
            columns.forEach(function (cell) {
                var _a;
                if (indexes.includes(cell.cellIndex)) {
                    if (cell.parentElement.rowIndex !== rowId) {
                        rowId = cell.parentElement.rowIndex;
                        appendRow();
                    }
                    row.push(parseText(((_a = cell.textContent) === null || _a === void 0 ? void 0 : _a.trim()) || ''));
                }
            });
            appendRow();
            // export
            config.callback(data, this.exportConfig).subscribe(function () {
                _this.exporting = false;
                _this.modal = false;
                if (typeof _this.config.exportNotification === 'function') {
                    _this.config.exportNotification(type);
                }
            });
        };
        return TtExportComponent;
    }(AbstractTableToolsTemplateComponent));
    TtExportComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportComponent, deps: [{ token: TableToolsConfigService }, { token: TableToolsDirective }, { token: i1.DOCUMENT }], target: i0__namespace.ɵɵFactoryTarget.Component });
    TtExportComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtExportComponent, selector: "tt-export", usesInheritance: true, ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n\n<div>\n    <button class=\"btn btn-outline-primary\" (click)=\"showExport()\">{{lang.export}}</button>\n    <div class=\"modal fade\" [(bsModal)]=\"modal\">\n        <div class=\"modal-dialog modal-lg\">\n            <div class=\"modal-content\">\n                <div class=\"modal-header\">\n                    <h5 class=\"modal-title\">{{lang.export}}</h5>\n                    <button type=\"button\" class=\"close\" dismiss aria-label=\"Close\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n                </div>\n                <div class=\"modal-body\">\n                    <div class=\"form-group\">\n                        <label>\n                            <strong>{{lang.exportChooseColumns}}:</strong>\n                            <a href=\"javascript:\" (click)=\"flipSelection()\" class=\"btn btn-link\">\n                                {{lang.flipSelection}}\n                            </a>\n                        </label>\n                        <div>\n                            <div class=\"custom-control custom-checkbox custom-control-inline\"\n                                 *ngFor=\"let c of columns; let index = index\">\n                                <input class=\"custom-control-input\" type=\"checkbox\" id=\"tt-export-{{index}}-{{id}}\"\n                                       [(ngModel)]=\"c.checked\"/>\n                                <label class=\"custom-control-label\" for=\"tt-export-{{index}}-{{id}}\" title=\"{{c.txt}}\">\n                                    {{c.txt}}\n                                </label>\n                            </div>\n                        </div>\n                        <div>\n                            <div class=\"custom-control custom-checkbox mt-2\">\n                                <input class=\"custom-control-input\" type=\"checkbox\" id=\"tt-export-columns-{{id}}\"\n                                       [(ngModel)]=\"exportConfig.columnNames\"/>\n                                <label class=\"custom-control-label\" for=\"tt-export-columns-{{id}}\">\n                                    {{lang.exportColumnNames}}\n                                </label>\n                            </div>\n                        </div>\n                    </div>\n                    <div class=\"form-group\">\n                        <label><strong>{{lang.exportSeparator}}</strong></label>\n                        <div>\n                            <div class=\"custom-control custom-radio custom-control-inline\"\n                                 *ngFor=\"let s of separators; let index = index\">\n                                <input class=\"custom-control-input\" type=\"radio\"\n                                       id=\"tt-export-separator-{{index}}-{{id}}\"\n                                       [(ngModel)]=\"exportConfig.separator\" [value]=\"s.separator\"/>\n                                <label class=\"custom-control-label\" for=\"tt-export-separator-{{index}}-{{id}}\">\n                                    {{s.lang}}\n                                </label>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"modal-footer\">\n                    <!--suppress TypeScriptValidateTypes -->\n                    <button type=\"button\" class=\"btn btn-outline-primary\"\n                            *ngFor=\"let exportType of exportTypes | keyvalue\"\n                            (click)=\"doExport(exportType.key, exportType.value)\" [disabled]=\"exporting\">\n                        {{exportType.value.lang}}\n                        <span *ngIf=\"exporting == exportType.key\">\n\t\t\t\t\t\t\t<i class=\"fa fa-circle-notch fa-spin\"></i>\n\t\t\t\t\t\t</span>\n                    </button>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n", directives: [{ type: i3__namespace.BsModalDirective, selector: "[bsModal]", inputs: ["bsModal", "backdrop", "keyboard", "onBeforeChange"], outputs: ["bsModalChange"], exportAs: ["bsModal"] }, { type: i3__namespace.DismissDirective, selector: "[dismiss]" }, { type: i1__namespace$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1__namespace.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: i1__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i1__namespace.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { type: i1__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1__namespace$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "keyvalue": i1__namespace$1.KeyValuePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-export',
                        templateUrl: './tt-export.component.html'
                    }]
            }], ctorParameters: function () {
            return [{ type: TableToolsConfigService }, { type: TableToolsDirective }, { type: Document, decorators: [{
                            type: i0.Inject,
                            args: [i1.DOCUMENT]
                        }] }];
        } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtExportModule = /** @class */ (function () {
        function TtExportModule() {
        }
        return TtExportModule;
    }());
    TtExportModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TtExportModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportModule, declarations: [TtExportComponent], imports: [i3.BsModalModule,
            i1.CommonModule,
            i1$1.FormsModule], exports: [TtExportComponent] });
    TtExportModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportModule, imports: [[
                i3.BsModalModule,
                i1.CommonModule,
                i1$1.FormsModule
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtExportModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            TtExportComponent
                        ],
                        imports: [
                            i3.BsModalModule,
                            i1.CommonModule,
                            i1$1.FormsModule
                        ],
                        exports: [
                            TtExportComponent
                        ]
                    }]
            }] });

    var TtResultsCountComponent = /** @class */ (function (_super) {
        __extends(TtResultsCountComponent, _super);
        function TtResultsCountComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtResultsCountComponent;
    }(AbstractTableToolsTemplateComponent));
    TtResultsCountComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtResultsCountComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtResultsCountComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtResultsCountComponent, selector: "tt-results-count", usesInheritance: true, ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n<div>\n    {{lang.results}}\n    <span [ngSwitch]=\"tableTools.dataLength\">\n\t\t<span *ngSwitchCase=\"0\">0</span>\n\t\t<span *ngSwitchDefault>\n\t\t\t{{tableTools.pagination.start}} - {{tableTools.pagination.end}}\n            {{lang.from}} {{tableTools.filteredCount}}\n\t\t</span>\n\t</span>\n    <span [hidden]=\"tableTools.filteredCount === tableTools.dataLength\">\n\t\t({{lang.filteredResults}} {{tableTools.dataLength}})\n\t</span>\n</div>\n", directives: [{ type: i1__namespace$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i1__namespace$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { type: i1__namespace$1.NgSwitchDefault, selector: "[ngSwitchDefault]" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtResultsCountComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-results-count',
                        templateUrl: './tt-results-count.component.html'
                    }]
            }] });

    var TtPaginationComponent = /** @class */ (function (_super) {
        __extends(TtPaginationComponent, _super);
        function TtPaginationComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtPaginationComponent;
    }(AbstractTableToolsTemplateComponent));
    TtPaginationComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtPaginationComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtPaginationComponent, selector: "tt-pagination", usesInheritance: true, ngImport: i0__namespace, template: "<ul class=\"pagination\">\n    <li [ngClass]=\"{disabled: tableTools.pagination.page == 1}\" class=\"page-item\">\n        <a href=\"javascript:\" (click)=\"tableTools.changePage(1)\" title=\"{{lang.first}}\" class=\"page-link\">\n            <i class=\"fa fa-angle-double-left\"></i>\n        </a>\n    </li>\n    <li [ngClass]=\"{disabled: tableTools.pagination.page == 1}\" class=\"page-item\">\n        <a href=\"javascript:\" (click)=\"tableTools.changePage('prev')\" title=\"{{lang.prev}}\" class=\"page-link\">\n            <i class=\"fa fa-angle-left\"></i>\n        </a>\n    </li>\n    <li *ngFor=\"let p of tableTools.pagination.items\" [ngClass]=\"{active: p == tableTools.pagination.page}\"\n        class=\"page-item\">\n        <a href=\"javascript:\" (click)=\"tableTools.changePage(p)\" class=\"page-link\">{{p}}</a>\n    </li>\n    <li [ngClass]=\"{disabled: tableTools.pagination.page == tableTools.pagination.pages\n\t\t|| tableTools.pagination.pages == 0}\" class=\"page-item\">\n        <a href=\"javascript:\" (click)=\"tableTools.changePage('next')\" title=\"{{lang.next}}\" class=\"page-link\">\n            <i class=\"fa fa-angle-right\"></i>\n        </a>\n    </li>\n    <li [ngClass]=\"{disabled: tableTools.pagination.page == tableTools.pagination.pages\n\t\t|| tableTools.pagination.pages == 0}\" class=\"page-item\">\n        <a href=\"javascript:\" (click)=\"tableTools.changePage(tableTools.pagination.pages)\"\n           title=\"{{lang.last}}\" class=\"page-link\">\n            <i class=\"fa fa-angle-double-right\"></i>\n        </a>\n    </li>\n</ul>\n", directives: [{ type: i1__namespace$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i1__namespace$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-pagination',
                        templateUrl: './tt-pagination.component.html'
                    }]
            }] });

    var TtPerPageComponent = /** @class */ (function (_super) {
        __extends(TtPerPageComponent, _super);
        function TtPerPageComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtPerPageComponent;
    }(AbstractTableToolsTemplateComponent));
    TtPerPageComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPerPageComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtPerPageComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtPerPageComponent, selector: "tt-per-page", usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n    <label>{{lang.perPage}}&nbsp;</label>\n    <select class=\"form-control\" [formControl]=\"tableTools.perPageControl\">\n        <option *ngFor=\"let o of tableTools.perPageOptions\" [ngValue]=\"o.number\">{{o.text}}</option>\n    </select>\n</div>\n", directives: [{ type: i1__namespace.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { type: i1__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1__namespace.FormControlDirective, selector: "[formControl]", inputs: ["disabled", "formControl", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { type: i1__namespace$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1__namespace.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { type: i1__namespace.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPerPageComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-per-page',
                        templateUrl: './tt-per-page.component.html'
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtPaginationModule = /** @class */ (function () {
        function TtPaginationModule() {
        }
        return TtPaginationModule;
    }());
    TtPaginationModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TtPaginationModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationModule, declarations: [TtPaginationComponent,
            TtPerPageComponent,
            TtResultsCountComponent], imports: [i1.CommonModule,
            i1$1.ReactiveFormsModule], exports: [TtPaginationComponent,
            TtPerPageComponent,
            TtResultsCountComponent] });
    TtPaginationModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationModule, imports: [[
                i1.CommonModule,
                i1$1.ReactiveFormsModule
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtPaginationModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            TtPaginationComponent,
                            TtPerPageComponent,
                            TtResultsCountComponent
                        ],
                        imports: [
                            i1.CommonModule,
                            i1$1.ReactiveFormsModule
                        ],
                        exports: [
                            TtPaginationComponent,
                            TtPerPageComponent,
                            TtResultsCountComponent
                        ]
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtPagination = /** @class */ (function () {
        function TtPagination(visiblePageCount) {
            if (visiblePageCount === void 0) { visiblePageCount = 5; }
            this.page = 1;
            this.pages = 1;
            this.start = 0;
            this.end = 0;
            this.items = [];
            this.visiblePageCount = visiblePageCount;
            this.pagesAround = Math.floor(visiblePageCount / 2);
        }
        TtPagination.prototype.paginate = function (resultsLength, perPage) {
            this.pages = Math.ceil(resultsLength / perPage);
            if (this.pages === 0) {
                this.pages = 1;
            }
            if (this.page > this.pages) {
                this.page = this.pages;
            }
            this.items = [];
            var pagesAfter = this.pages - this.page; // number of pages after currently selected page
            var i = this.page // we set a starting page in here
                - (pagesAfter < this.pagesAround // we won't be able to display all pages after current page
                    ? this.visiblePageCount - 1 - pagesAfter // so we display the difference before current page
                    : this.pagesAround);
            if (i < 1) {
                i = 1;
            }
            do {
                this.items.push(i);
                i++;
            } while (this.items.length < this.visiblePageCount && i <= this.pages);
            this.start = perPage === Infinity
                ? 1
                : Math.min(((this.page - 1) * perPage) + 1, resultsLength);
            this.end = Math.min(this.page * perPage, resultsLength);
        };
        return TtPagination;
    }());

    var TtFilterGroup = /** @class */ (function (_super) {
        __extends(TtFilterGroup, _super);
        // eslint-disable-next-line @typescript-eslint/no-useless-constructor
        function TtFilterGroup(filters, validatorOrOpts, asyncValidator) {
            return _super.call(this, filters, validatorOrOpts, asyncValidator) || this;
        }
        return TtFilterGroup;
    }(i1$1.FormGroup));

    var TtFilter = /** @class */ (function (_super) {
        __extends(TtFilter, _super);
        function TtFilter(filterOptions, formState, validatorOrOpts, asyncValidator) {
            var _this = _super.call(this, formState, validatorOrOpts, asyncValidator) || this;
            _this.filterOptions = {
                empty: '',
                operator: '==',
                or: false
            };
            if (filterOptions) {
                _this.filterOptions.field = filterOptions.field;
                if (typeof filterOptions.empty !== 'undefined') {
                    _this.filterOptions.empty = filterOptions.empty;
                }
                if (typeof filterOptions.operator !== 'undefined') {
                    _this.filterOptions.operator = filterOptions.operator;
                }
                if (typeof filterOptions.or !== 'undefined') {
                    _this.filterOptions.or = filterOptions.or;
                }
            }
            return _this;
        }
        return TtFilter;
    }(i1$1.FormControl));

    var TtSearchComponent = /** @class */ (function (_super) {
        __extends(TtSearchComponent, _super);
        function TtSearchComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtSearchComponent;
    }(AbstractTableToolsTemplateComponent));
    TtSearchComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtSearchComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtSearchComponent, selector: "tt-search", usesInheritance: true, ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n\n<div class=\"form-group\">\n    <input type=\"text\" class=\"form-control\" [formControl]=\"tableTools.searchControl\"\n           [placeholder]=\"lang.search\"/>\n</div>\n", directives: [{ type: i1__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1__namespace.FormControlDirective, selector: "[formControl]", inputs: ["disabled", "formControl", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-search',
                        templateUrl: './tt-search.component.html'
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtSearchModule = /** @class */ (function () {
        function TtSearchModule() {
        }
        return TtSearchModule;
    }());
    TtSearchModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TtSearchModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchModule, declarations: [TtSearchComponent], imports: [i1$1.ReactiveFormsModule], exports: [TtSearchComponent] });
    TtSearchModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchModule, imports: [[
                i1$1.ReactiveFormsModule
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            TtSearchComponent
                        ],
                        imports: [
                            i1$1.ReactiveFormsModule
                        ],
                        exports: [
                            TtSearchComponent
                        ]
                    }]
            }] });

    var TtSearchService = /** @class */ (function () {
        function TtSearchService() {
        }
        TtSearchService.prototype.getFilterFn = function (search, filters) {
            var _this = this;
            var hasSearch = typeof search === 'string' && search !== '', fieldFilters = this.getFieldFilters(filters), hasFilters = Object.keys(fieldFilters).length;
            return function (value) {
                if (!hasSearch && !hasFilters) {
                    return true;
                }
                return (!hasSearch || _this.hasSearchString(value, search))
                    && (!hasFilters || typeof value !== 'object' || value === null
                        || _this.areFiltersValid(value, fieldFilters));
            };
        };
        TtSearchService.prototype.hasSearchString = function (variable, search) {
            var _this = this;
            if (typeof variable === 'object' && variable !== null) {
                return !!Object.keys(variable).find(function (key) {
                    return _this.hasSearchString(variable[key], search);
                });
            }
            else if ((typeof variable === 'number' && variable.toString() === search)
                || (typeof variable === 'string' && variable.toLowerCase().includes(search))) {
                return true;
            }
            return false;
        };
        TtSearchService.prototype.getFieldFilters = function (filters) {
            if (typeof filters === 'undefined') {
                return {};
            }
            var fieldFilters = {};
            Object.entries(filters.controls)
                .filter(function (_a) {
                var _b = __read(_a, 2), filter = _b[1];
                return typeof filter.value !== 'undefined'
                    && filter.value !== null
                    && filter.value !== filter.filterOptions.empty
                    && !(Array.isArray(filter.value) && !filter.value.length);
            })
                .forEach(function (_a) {
                var _b = __read(_a, 2), field = _b[0], filter = _b[1];
                if (!filter.filterOptions.field) {
                    filter.filterOptions.field = field;
                }
                var fieldName = filter.filterOptions.field || field;
                if (typeof fieldFilters[fieldName] === 'undefined') {
                    fieldFilters[fieldName] = {
                        or: [],
                        and: []
                    };
                }
                var filterVal = { operator: filter.filterOptions.operator, value: filter.value };
                if (filter.filterOptions.or) {
                    fieldFilters[fieldName].or.push(filterVal);
                }
                else {
                    fieldFilters[fieldName].and.push(filterVal);
                }
            });
            return fieldFilters;
        };
        TtSearchService.prototype.areFiltersValid = function (item, fieldFilters) {
            var _this = this;
            return Object.entries(fieldFilters)
                .every(function (_a) {
                var _b = __read(_a, 2), field = _b[0], filters = _b[1];
                var compareFn = _this.getCompareFn(item[field]);
                return (!filters.or.length || filters.or.some(compareFn)) // [].some() = false
                    && filters.and.every(compareFn); // [].every() = true
            });
        };
        TtSearchService.prototype.getCompareFn = function (value) {
            var _this = this;
            return function (filter) {
                return _this.compareWithOperator(value, filter.value, filter.operator);
            };
        };
        TtSearchService.prototype.compareWithOperator = function (variable, search, operator) {
            var _this = this;
            if (typeof search === 'object') {
                return !!Object.values(search)
                    .find(function (value) { return _this.compareWithOperator(variable, value, operator); });
            }
            if (typeof variable === 'object') {
                return !!Object.keys(variable)
                    .find(function (key) { return _this.compareWithOperator(variable[key], search, operator); });
            }
            if (operator === 'like') {
                return variable.toLowerCase().includes(search.toLowerCase());
            }
            else {
                switch (operator) {
                    case '>':
                        // @ts-expect-error: unknown comparison
                        return variable > search;
                    case '<':
                        // @ts-expect-error: unknown comparison
                        return variable < search;
                    case '>=':
                        // @ts-expect-error: unknown comparison
                        return variable >= search;
                    case '<=':
                        // @ts-expect-error: unknown comparison
                        return variable <= search;
                    case '==':
                        // eslint-disable-next-line eqeqeq
                        return variable == search;
                    default:
                        return true;
                }
            }
        };
        return TtSearchService;
    }());
    TtSearchService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchService, deps: [], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    TtSearchService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSearchService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }] });

    var TtSelectAllComponent = /** @class */ (function () {
        function TtSelectAllComponent(tableToolsDirective) {
            this.tableToolsDirective = tableToolsDirective;
            this.formControl = new i1$1.FormControl();
        }
        TtSelectAllComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.formControl.valueChanges.subscribe(function (selected) {
                var _a;
                if (selected) {
                    (_a = _this.tableToolsDirective.tableTools.selected).select.apply(_a, __spreadArray([], __read(_this.tableToolsDirective.ttSelects.map(function (ttSelect) { return ttSelect.item; }))));
                }
                else {
                    _this.tableToolsDirective.tableTools.selected.clear();
                }
            });
            this.tableToolsDirective.tableTools.selected.selectedChanges.subscribe(function (selected) {
                var all = selected.length === _this.tableToolsDirective.ttSelects.length;
                if (all !== !!_this.formControl.value) {
                    _this.formControl.setValue(all, { emitEvent: false });
                }
            });
        };
        return TtSelectAllComponent;
    }());
    TtSelectAllComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectAllComponent, deps: [{ token: TableToolsDirective, host: true }], target: i0__namespace.ɵɵFactoryTarget.Component });
    TtSelectAllComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtSelectAllComponent, selector: "tt-select-all", ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n<input type=\"checkbox\" [formControl]=\"formControl\"/>\n", directives: [{ type: i1__namespace.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: i1__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i1__namespace.FormControlDirective, selector: "[formControl]", inputs: ["disabled", "formControl", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectAllComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-select-all',
                        templateUrl: './tt-select.component.html'
                    }]
            }], ctorParameters: function () {
            return [{ type: TableToolsDirective, decorators: [{
                            type: i0.Host
                        }] }];
        } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtSelectModule = /** @class */ (function () {
        function TtSelectModule() {
        }
        return TtSelectModule;
    }());
    TtSelectModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TtSelectModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectModule, declarations: [TtSelectAllComponent,
            TtSelectComponent], imports: [i1$1.ReactiveFormsModule], exports: [TtSelectAllComponent,
            TtSelectComponent] });
    TtSelectModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectModule, imports: [[
                i1$1.ReactiveFormsModule
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSelectModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1$1.ReactiveFormsModule
                        ],
                        declarations: [
                            TtSelectAllComponent,
                            TtSelectComponent
                        ],
                        exports: [
                            TtSelectAllComponent,
                            TtSelectComponent
                        ]
                    }]
            }] });

    var TtSelect = /** @class */ (function () {
        function TtSelect() {
            this.selected = new Map();
            this.selectedChanges = new rxjs.Subject();
        }
        TtSelect.prototype.getSelected = function () {
            return __spreadArray([], __read(this.selected.keys()));
        };
        TtSelect.prototype.hasSelected = function () {
            return this.selected.size > 0;
        };
        TtSelect.prototype.select = function () {
            var _this = this;
            var items = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                items[_i] = arguments[_i];
            }
            var nonSelected = items.filter(function (item) { return !_this.selected.has(item); });
            if (!nonSelected.length) {
                return;
            }
            nonSelected.forEach(function (item) {
                _this.selected.set(item, true);
            });
            this.selectedChanges.next(this.getSelected());
        };
        TtSelect.prototype.deselect = function () {
            var _this = this;
            var items = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                items[_i] = arguments[_i];
            }
            var selected = items.filter(function (item) { return _this.selected.has(item); });
            if (!selected.length) {
                return;
            }
            selected.forEach(function (item) {
                _this.selected.delete(item);
            });
            this.selectedChanges.next(this.getSelected());
        };
        TtSelect.prototype.clear = function () {
            if (!this.hasSelected()) {
                return;
            }
            this.selected.clear();
            this.selectedChanges.next(this.getSelected());
        };
        return TtSelect;
    }());

    var TtSortDirective = /** @class */ (function () {
        function TtSortDirective(tableToolsDirective) {
            this.tableToolsDirective = tableToolsDirective;
        }
        Object.defineProperty(TtSortDirective.prototype, "sort", {
            get: function () {
                return typeof this.ttSort !== 'undefined';
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TtSortDirective.prototype, "isAsc", {
            get: function () {
                return this.state === 'asc';
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TtSortDirective.prototype, "isDesc", {
            get: function () {
                return this.state === 'desc';
            },
            enumerable: false,
            configurable: true
        });
        TtSortDirective.prototype.click = function (shiftKey) {
            if (typeof this.ttSort === 'undefined') {
                return;
            }
            var orderItem = this.getMyOrder(this.tableTools.order), newState = (orderItem === null || orderItem === void 0 ? void 0 : orderItem.direction) === 'asc' ? 'desc' : 'asc';
            if (!shiftKey) {
                if ((orderItem === null || orderItem === void 0 ? void 0 : orderItem.direction) === 'desc') {
                    this.tableTools.order.splice(this.tableTools.order.indexOf(orderItem), 1);
                    this.tableTools.order = __spreadArray([], __read(this.tableTools.order));
                    return;
                }
                this.tableTools.order = [{ field: this.ttSort, direction: newState }];
            }
            else {
                if (!orderItem) {
                    this.tableTools.order.push({ field: this.ttSort, direction: newState });
                }
                else {
                    orderItem.direction = orderItem.direction === 'asc' ? 'desc' : 'asc';
                }
                this.tableTools.order = __spreadArray([], __read(this.tableTools.order));
            }
        };
        TtSortDirective.prototype.ngOnInit = function () {
            var _this = this;
            this.tableTools = this.tableToolsDirective.tableTools;
            this.tableTools.orderChanges.subscribe(function (order) {
                var _a;
                _this.state = (_a = _this.getMyOrder(order)) === null || _a === void 0 ? void 0 : _a.direction;
            });
        };
        TtSortDirective.prototype.getMyOrder = function (order) {
            var _this = this;
            return order
                .find(function (x) { return x.field === _this.ttSort; });
        };
        return TtSortDirective;
    }());
    TtSortDirective.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortDirective, deps: [{ token: TableToolsDirective, host: true, skipSelf: true }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    TtSortDirective.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.0.5", type: TtSortDirective, selector: "[ttSort]", inputs: { ttSort: "ttSort" }, host: { listeners: { "click": "click($event.shiftKey)" }, properties: { "class.tt-sort": "this.sort", "class.sorting-asc": "this.isAsc", "class.sorting-desc": "this.isDesc" } }, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortDirective, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ttSort]'
                    }]
            }], ctorParameters: function () {
            return [{ type: TableToolsDirective, decorators: [{
                            type: i0.SkipSelf
                        }, {
                            type: i0.Host
                        }] }];
        }, propDecorators: { ttSort: [{
                    type: i0.Input
                }], sort: [{
                    type: i0.HostBinding,
                    args: ['class.tt-sort']
                }], isAsc: [{
                    type: i0.HostBinding,
                    args: ['class.sorting-asc']
                }], isDesc: [{
                    type: i0.HostBinding,
                    args: ['class.sorting-desc']
                }], click: [{
                    type: i0.HostListener,
                    args: ['click', ['$event.shiftKey']]
                }] } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtSortModule = /** @class */ (function () {
        function TtSortModule() {
        }
        return TtSortModule;
    }());
    TtSortModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TtSortModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortModule, declarations: [TtSortDirective], exports: [TtSortDirective] });
    TtSortModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortModule });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            TtSortDirective
                        ],
                        exports: [
                            TtSortDirective
                        ]
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtSortService = /** @class */ (function () {
        function TtSortService() {
        }
        // eslint-disable-next-line @typescript-eslint/no-explicit-any,@typescript-eslint/explicit-module-boundary-types
        TtSortService.prototype.getSortFn = function (order) {
            var _this = this;
            return function (a, b) {
                if (!order.length) {
                    return 0;
                }
                var result = 0;
                order.some(function (orderItem) {
                    result = _this.compareFn(a[orderItem.field], b[orderItem.field]);
                    if (orderItem.direction === 'desc' && result !== 0) {
                        result = result === -1 ? 1 : -1;
                    }
                    return result !== 0;
                });
                return result;
            };
        };
        // eslint-disable-next-line @typescript-eslint/no-explicit-any,@typescript-eslint/explicit-module-boundary-types
        TtSortService.prototype.compareFn = function (a, b) {
            var typeA = typeof a, typeB = typeof b;
            if (typeA !== typeB) {
                return typeA === 'undefined' ? 1
                    : typeB === 'undefined' ? -1
                        : a === null ? 1
                            : b === null ? -1
                                : typeA < typeB ? -1 : 1;
            }
            if (typeof a === 'string' && typeof b === 'string') {
                if (this.isNumeric(a) && this.isNumeric(b)) {
                    return parseFloat(a) < parseFloat(b) ? -1 : 1;
                }
                // Compare strings case-insensitively
                a = a.toLowerCase();
                b = b.toLowerCase();
            }
            if (a !== b) {
                if (typeof a.localeCompare === 'function') {
                    return a.localeCompare(b);
                }
                return a < b ? -1 : 1;
            }
            return 0;
        };
        TtSortService.prototype.isNumeric = function (string) {
            var n = parseFloat(string);
            return !isNaN(n) && isFinite(n);
        };
        return TtSortService;
    }());
    TtSortService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortService, deps: [], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    TtSortService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtSortService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }] });

    var TtLoadingComponent = /** @class */ (function (_super) {
        __extends(TtLoadingComponent, _super);
        function TtLoadingComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtLoadingComponent;
    }(AbstractTableToolsTemplateComponent));
    TtLoadingComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtLoadingComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtLoadingComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtLoadingComponent, selector: "tt-loading", inputs: { extraCondition: "extraCondition" }, usesInheritance: true, ngImport: i0__namespace, template: "<span [hidden]=\"!tableTools.loading && !extraCondition\">&nbsp;<i class=\"fa fa-circle-notch fa-spin fa-lg\"></i></span>\n" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtLoadingComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-loading',
                        templateUrl: './tt-loading.component.html'
                    }]
            }], propDecorators: { extraCondition: [{
                    type: i0.Input
                }] } });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtHeaderComponent = /** @class */ (function () {
        function TtHeaderComponent() {
        }
        return TtHeaderComponent;
    }());
    TtHeaderComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtHeaderComponent, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    TtHeaderComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtHeaderComponent, selector: "tt-header", ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n<div class=\"form-inline\">\n    <tt-per-page></tt-per-page>\n    <tt-loading></tt-loading>\n    <tt-search class=\"ml-auto\"></tt-search>\n</div>\n<div class=\"row mt-3\">\n    <tt-results-count class=\"col align-self-center\"></tt-results-count>\n    <tt-pagination class=\"col col-auto pr-0\"></tt-pagination>\n    <tt-export class=\"col col-auto pl-2\"></tt-export>\n</div>\n", components: [{ type: TtPerPageComponent, selector: "tt-per-page" }, { type: TtLoadingComponent, selector: "tt-loading", inputs: ["extraCondition"] }, { type: TtSearchComponent, selector: "tt-search" }, { type: TtResultsCountComponent, selector: "tt-results-count" }, { type: TtPaginationComponent, selector: "tt-pagination" }, { type: TtExportComponent, selector: "tt-export" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtHeaderComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-header',
                        templateUrl: './tt-header.component.html'
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TtFooterComponent = /** @class */ (function () {
        function TtFooterComponent() {
        }
        return TtFooterComponent;
    }());
    TtFooterComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtFooterComponent, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    TtFooterComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtFooterComponent, selector: "tt-footer", ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n\n<div class=\"row\">\n    <tt-results-count class=\"col align-self-center\"></tt-results-count>\n    <tt-pagination class=\"col col-auto\"></tt-pagination>\n</div>\n", components: [{ type: TtResultsCountComponent, selector: "tt-results-count" }, { type: TtPaginationComponent, selector: "tt-pagination" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtFooterComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'tt-footer',
                        templateUrl: './tt-footer.component.html'
                    }]
            }] });

    var TtRowPlaceholderComponent = /** @class */ (function (_super) {
        __extends(TtRowPlaceholderComponent, _super);
        function TtRowPlaceholderComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return TtRowPlaceholderComponent;
    }(AbstractTableToolsTemplateComponent));
    TtRowPlaceholderComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtRowPlaceholderComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    TtRowPlaceholderComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.5", type: TtRowPlaceholderComponent, selector: "[ttRowPlaceholder]", usesInheritance: true, ngImport: i0__namespace, template: "<!--\n  ~ Angular TableTools Plugin\n  ~  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>\n  ~  License: MIT\n  -->\n\n<td colspan=\"100%\" *ngIf=\"!(tableTools.data | async)?.length\">\n    <tt-loading></tt-loading>\n    <span *ngIf=\"!tableTools.loading\">{{lang.noResults}}</span>\n</td>\n", components: [{ type: TtLoadingComponent, selector: "tt-loading", inputs: ["extraCondition"] }], directives: [{ type: i1__namespace$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "async": i1__namespace$1.AsyncPipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TtRowPlaceholderComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: '[ttRowPlaceholder]',
                        templateUrl: './tt-row-placeholder.component.html'
                    }]
            }] });

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */
    var TableToolsModule = /** @class */ (function () {
        function TableToolsModule() {
        }
        return TableToolsModule;
    }());
    TableToolsModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TableToolsModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsModule, declarations: [TableToolsDirective,
            TtFooterComponent,
            TtHeaderComponent,
            TtLoadingComponent,
            TtRowPlaceholderComponent], imports: [i1.CommonModule,
            TtExportModule,
            TtPaginationModule,
            TtSearchModule,
            TtSelectModule,
            TtSortModule], exports: [TableToolsDirective,
            TtExportModule,
            TtFooterComponent,
            TtHeaderComponent,
            TtLoadingComponent,
            TtPaginationModule,
            TtRowPlaceholderComponent,
            TtSearchModule,
            TtSelectModule,
            TtSortModule] });
    TableToolsModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsModule, imports: [[
                i1.CommonModule,
                TtExportModule,
                TtPaginationModule,
                TtSearchModule,
                TtSelectModule,
                TtSortModule
            ], TtExportModule,
            TtPaginationModule,
            TtSearchModule,
            TtSelectModule,
            TtSortModule] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            TtExportModule,
                            TtPaginationModule,
                            TtSearchModule,
                            TtSelectModule,
                            TtSortModule
                        ],
                        declarations: [
                            TableToolsDirective,
                            TtFooterComponent,
                            TtHeaderComponent,
                            TtLoadingComponent,
                            TtRowPlaceholderComponent
                        ],
                        exports: [
                            TableToolsDirective,
                            TtExportModule,
                            TtFooterComponent,
                            TtHeaderComponent,
                            TtLoadingComponent,
                            TtPaginationModule,
                            TtRowPlaceholderComponent,
                            TtSearchModule,
                            TtSelectModule,
                            TtSortModule
                        ]
                    }]
            }] });

    var TableToolsService = /** @class */ (function () {
        function TableToolsService(config, document, ttSort, ttSearch) {
            this.config = config;
            this.document = document;
            this.ttSort = ttSort;
            this.ttSearch = ttSearch;
        }
        TableToolsService.prototype.create = function (options) {
            return new TableTools(options, this.config, this.document, this.ttSort, this.ttSearch);
        };
        return TableToolsService;
    }());
    TableToolsService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsService, deps: [{ token: TableToolsConfigService }, { token: i1.DOCUMENT }, { token: TtSortService }, { token: TtSearchService }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    TableToolsService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.5", ngImport: i0__namespace, type: TableToolsService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }], ctorParameters: function () {
            return [{ type: TableToolsConfigService }, { type: Document, decorators: [{
                            type: i0.Inject,
                            args: [i1.DOCUMENT]
                        }] }, { type: TtSortService }, { type: TtSearchService }];
        } });
    var TableTools = /** @class */ (function () {
        function TableTools(options, config, document, ttSort, ttSearch) {
            var _this = this;
            this.document = document;
            this.ttSort = ttSort;
            this.ttSearch = ttSearch;
            this.loading = false;
            this.data = new rxjs.BehaviorSubject([]);
            this.dataLength = 0;
            this.filteredCount = 0;
            // region search
            this.searchControl = new i1$1.FormControl();
            // endregion select
            this.lastResolve = {
                subscription: null,
                timeout: null
            };
            this.configuring = false;
            this.searchControl.valueChanges.subscribe(function () {
                _this.filterData();
            });
            this.filters = options.filters || new TtFilterGroup({});
            this.filters.valueChanges.subscribe(function () {
                _this.filterData();
            });
            this.perPageControl = new i1$1.FormControl(options.perPage || config.perPage);
            this.perPageOptions = options.perPageOptions || config.perPageOptions;
            this.perPageControl.valueChanges.subscribe(function () {
                _this.filterData();
            });
            this.scroll = typeof options.scroll !== 'undefined' ? options.scroll : config.scroll;
            this.scrollOffset = typeof options.scrollOffset !== 'undefined' ? options.scrollOffset : 0;
            this.orderChanges = new rxjs.BehaviorSubject(options.order || []);
            this.orderChanges
                .pipe(operators.skip(1))
                .subscribe(function () {
                _this.filterData();
            });
            this.selected = new TtSelect();
            this.pagination = new TtPagination();
            this.collection = options.collection;
            if (typeof options.resolver !== 'undefined') {
                this.resolver = options.resolver;
            }
            if (typeof options.url !== 'undefined') {
                this.url = options.url;
                this.resolver = this.resolver || config.defaultTableToolsResolver;
            }
            if (typeof options.asyncConfigurator === 'function') {
                this.configuring = true;
            }
            setTimeout(function () {
                if (typeof options.asyncConfigurator === 'function') {
                    options.asyncConfigurator(_this)
                        .pipe(operators.first())
                        .subscribe(function () {
                        _this.configuring = false;
                        _this.filterData();
                    });
                }
                else {
                    _this.filterData();
                }
            });
        }
        Object.defineProperty(TableTools.prototype, "perPage", {
            get: function () {
                return this.perPageControl.value;
            },
            set: function (value) {
                if (this.perPageControl.value !== value) {
                    this.perPageControl.setValue(value);
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TableTools.prototype, "order", {
            get: function () {
                return this.orderChanges.getValue();
            },
            set: function (order) {
                this.orderChanges.next(order);
            },
            enumerable: false,
            configurable: true
        });
        TableTools.prototype.filterData = function () {
            if (this.configuring) {
                return;
            }
            if (typeof this.resolver !== 'undefined') {
                this.serverSide();
            }
            else {
                this.browserSide();
            }
        };
        TableTools.prototype.changePage = function (page) {
            var _a, _b;
            var originalPage = this.pagination.page;
            if (page === 'prev') {
                if (this.pagination.page > 1) {
                    this.pagination.page--;
                }
            }
            else if (page === 'next') {
                if (this.pagination.page < this.pagination.pages) {
                    this.pagination.page++;
                }
            }
            else if (!isNaN(page)) {
                this.pagination.page = page;
            }
            if (originalPage !== this.pagination.page) {
                this.filterData();
            }
            if (this.scroll) {
                this.scrollTo(Math.round((((_a = this.elementRef) === null || _a === void 0 ? void 0 : _a.nativeElement.getBoundingClientRect().top) || 0)
                    + (((_b = this.document.defaultView) === null || _b === void 0 ? void 0 : _b.pageYOffset) || this.document.documentElement.scrollTop)) + this.scrollOffset, 1000);
            }
        };
        TableTools.prototype.serverSide = function () {
            var _this = this;
            var timeout = 0;
            if (this.lastResolve.timeout !== null) {
                clearTimeout(this.lastResolve.timeout);
                if (this.lastResolve.subscription !== null) {
                    this.lastResolve.subscription.unsubscribe();
                }
                timeout = 750;
            }
            this.lastResolve.timeout = setTimeout(function () {
                _this.lastResolve.subscription = _this.resolver(_this.perPage, (_this.pagination.page - 1) * _this.perPage, _this.order, typeof _this.searchControl.value !== 'string' ? '' : _this.searchControl.value, _this.ttSearch.getFieldFilters(_this.filters), _this.url).subscribe(function (result) {
                    if (typeof result.data === 'undefined'
                        || typeof result.count !== 'number'
                        || typeof result.countFiltered !== 'number') {
                        throw new Error('TableTools - wrong result format');
                    }
                    _this.data.next(result.data);
                    _this.dataLength = result.count;
                    _this.filteredCount = result.countFiltered;
                    if (_this.pagination.page > 1 && !result.data.length) {
                        _this.changePage(1);
                    }
                }, function (e) {
                    console.error(e);
                    _this.data.next([]);
                    _this.dataLength = 0;
                    _this.filteredCount = 0;
                }, function () {
                    _this.pagination.paginate(_this.filteredCount, _this.perPage);
                    _this.selected.clear();
                    _this.loading = false;
                    _this.lastResolve.timeout = null;
                    _this.lastResolve.subscription = null;
                });
            }, timeout);
        };
        TableTools.prototype.browserSide = function () {
            var _this = this;
            this.loading = true;
            var timeout = 0;
            if (this.lastResolve.timeout !== null) {
                clearTimeout(this.lastResolve.timeout);
                timeout = 50;
            }
            this.lastResolve.timeout = setTimeout(function () {
                var _a, _b;
                _this.dataLength = ((_a = _this.collection) === null || _a === void 0 ? void 0 : _a.length) || 0;
                var data = _this.collection
                    ? _this.collection.filter(_this.ttSearch.getFilterFn((_b = _this.searchControl.value) === null || _b === void 0 ? void 0 : _b.toLowerCase(), _this.filters))
                    : [];
                _this.filteredCount = data.length;
                if (_this.order.length) {
                    data.sort(_this.ttSort.getSortFn(_this.order));
                }
                _this.pagination.paginate(data.length, _this.perPage);
                data = data.slice(_this.pagination.start - 1, _this.pagination.end);
                _this.selected.clear();
                _this.lastResolve.timeout = null;
                _this.loading = false;
                _this.data.next(data);
            }, timeout);
        };
        TableTools.prototype.scrollTo = function (target, duration) {
            var _this = this;
            var _a;
            var cur = window.scrollY, start = performance.now(), step = function (ts) {
                var _a, _b, _c;
                var elapsed = ts - start;
                if (elapsed >= 1000) {
                    (_a = _this.document.defaultView) === null || _a === void 0 ? void 0 : _a.scrollTo(0, target);
                    return;
                }
                (_b = _this.document.defaultView) === null || _b === void 0 ? void 0 : _b.scrollTo(0, cur - Math.sin((Math.PI / 2) / (duration / elapsed)) * (cur - target));
                (_c = _this.document.defaultView) === null || _c === void 0 ? void 0 : _c.requestAnimationFrame(step);
            };
            (_a = this.document.defaultView) === null || _a === void 0 ? void 0 : _a.requestAnimationFrame(step);
        };
        return TableTools;
    }());

    /*
     * Angular TableTools Plugin
     *  Copyright (c) 2016-2021 Rodziu <mateusz.rohde@gmail.com>
     *  License: MIT
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.TableToolsConfigService = TableToolsConfigService;
    exports.TableToolsDirective = TableToolsDirective;
    exports.TableToolsModule = TableToolsModule;
    exports.TableToolsService = TableToolsService;
    exports.TtExportComponent = TtExportComponent;
    exports.TtExportModule = TtExportModule;
    exports.TtFilter = TtFilter;
    exports.TtFilterGroup = TtFilterGroup;
    exports.TtFooterComponent = TtFooterComponent;
    exports.TtHeaderComponent = TtHeaderComponent;
    exports.TtLoadingComponent = TtLoadingComponent;
    exports.TtPagination = TtPagination;
    exports.TtPaginationComponent = TtPaginationComponent;
    exports.TtPaginationModule = TtPaginationModule;
    exports.TtPerPageComponent = TtPerPageComponent;
    exports.TtResultsCountComponent = TtResultsCountComponent;
    exports.TtRowPlaceholderComponent = TtRowPlaceholderComponent;
    exports.TtSearchComponent = TtSearchComponent;
    exports.TtSearchModule = TtSearchModule;
    exports.TtSearchService = TtSearchService;
    exports.TtSelect = TtSelect;
    exports.TtSelectAllComponent = TtSelectAllComponent;
    exports.TtSelectComponent = TtSelectComponent;
    exports.TtSelectModule = TtSelectModule;
    exports.TtSortDirective = TtSortDirective;
    exports.TtSortModule = TtSortModule;
    exports.TtSortService = TtSortService;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=angular-bootstrap4-table-tools.umd.js.map
